Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.graphics.sld
Class FeatureTypeStyle

    java.lang.Object
      org.deegree.graphics.sld.FeatureTypeStyle

All Implemented Interfaces:
  Marshallable

    public class FeatureTypeStyle

extends Object
implements Marshallable

The FeatureTypeStyle defines the styling that is to be applied to a single feature type of a layer). This element may also be externally re-used outside of the scope of WMSes and layers.

The FeatureTypeStyle element identifies that explicit separation in SLD between the handling of layers and the handling of features of specific feature types. The layer concept is unique to WMS and SLD, but features are used more generally, such as in WFS and GML, so this explicit separation is important.

----------------------------------------------------------------------

Version:
  $Revision: 18195 $ $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Katharina Lupp

Constructor Summary
`FeatureTypeStyle()` default constructor
`FeatureTypeStyle(String name, String title, String abstract_, String featureTypeName, String[] semanticTypeIdentifier, Rule[] rules)` constructor initializing the class with the

Method Summary
`void` | `addRule(Rule rule)` adds the <Rules>
`void` | `addSemanticTypeIdentifier(String semanticTypeIdentifier)` adds the <SemanticTypeIdentifier>
`String` | `exportAsXML()` exports the content of the FeatureTypeStyle as XML formated String
`String` | `getAbstract()` human-readable information about the style
`String` | `getFeatureTypeName()` returns the name of the affected feature type
`String` | `getName()` The Name element does not have an explicit use at present, though it conceivably might be used to reference a feature style in some feature-style library.
`Rule[]` | `getRules()` Rules are used to group rendering instructions by feature-property conditions and map scales.
`String[]` | `getSemanticTypeIdentifier()` The SemanticTypeIdentifier is experimental and is intended to be used to identify what the feature style is suitable to be used for using community- controlled name(s).
`String` | `getTitle()` human-readable information about the style
`void` | `removeRule(Rule rule)` removes a rule
`void` | `removeSemanticTypeIdentifier(String semanticTypeIdentifier)` Removes an <SemanticTypeIdentifier>.
`void` | `setAbstract(String abstract_)` sets <Abstract>
`void` | `setFeatureTypeName(String featureTypeName)` sets the name of the affected feature type
`void` | `setName(String name)` The Name element does not have an explicit use at present, though it conceivably might be used to reference a feature style in some feature-style library.
`void` | `setRules(Rule[] rules)` sets the <Rules>
`void` | `setSemanticTypeIdentifier(String[] semanticTypeIdentifiers)` Sets the SemanticTypeIdentifiers.
`void` | `setTitle(String title)` sets the <Title>

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FeatureTypeStyle

    FeatureTypeStyle()

  default constructor

### FeatureTypeStyle

    FeatureTypeStyle(String name,
                     String title,
                     String abstract_,
                     String featureTypeName,
                     String[] semanticTypeIdentifier,
                     Rule[] rules)

  constructor initializing the class with the

  Parameters:
    `name` -
    `title` -
    `abstract_` -
    `featureTypeName` -
    `semanticTypeIdentifier` -
    `rules` -

Method Detail

### getName

    public String getName()

  The Name element does not have an explicit use at present, though it conceivably might be used to reference a feature style in some feature-style library.

  Returns:
    name

### setName

    public void setName(String name)

  The Name element does not have an explicit use at present, though it conceivably might be used to reference a feature style in some feature-style library. Sets the o

  Parameters:
    `name` - the name

### getTitle

    public String getTitle()

  human-readable information about the style

  Returns:
    the title of the FeatureTypeStyle

### setTitle

    public void setTitle(String title)

  sets the <Title>

  Parameters:
    `title` - the title of the FeatureTypeStyle

### getAbstract

    public String getAbstract()

  human-readable information about the style

  Returns:
    an abstract of the FeatureTypeStyle

### setAbstract

    public void setAbstract(String abstract_)

  sets <Abstract>

  Parameters:
    `abstract_` - an abstract of the FeatureTypeStyle

### getFeatureTypeName

    public String getFeatureTypeName()

  returns the name of the affected feature type

  Returns:
    the name of the FeatureTypeStyle as String

### setFeatureTypeName

    public void setFeatureTypeName(String featureTypeName)

  sets the name of the affected feature type

  Parameters:
    `featureTypeName` - the name of the FeatureTypeStyle

### getSemanticTypeIdentifier

    public String[] getSemanticTypeIdentifier()

  The SemanticTypeIdentifier is experimental and is intended to be used to identify what the feature style is suitable to be used for using community- controlled name(s). For example, a single style may be suitable to use with many different feature types. The syntax of the SemanticTypeIdentifier string is undefined, but the strings generic:line, generic:polygon, generic:point, generic:text, generic:raster, and generic:any are reserved to indicate that a FeatureTypeStyle may be used with any feature type with the corresponding default geometry type (i.e., no feature properties are referenced in the feature-type style).

  Returns:
    the SemanticTypeIdentifiers from the FeatureTypeStyle as String-Array

### setSemanticTypeIdentifier

    public void setSemanticTypeIdentifier(String[] semanticTypeIdentifiers)

  Sets the SemanticTypeIdentifiers.

  Parameters:
    `semanticTypeIdentifiers` - SemanticTypeIdentifiers for the FeatureTypeStyle

### addSemanticTypeIdentifier

    public void addSemanticTypeIdentifier(String semanticTypeIdentifier)

  adds the <SemanticTypeIdentifier>

  Parameters:
    `semanticTypeIdentifier` - SemanticTypeIdentifier to add

### removeSemanticTypeIdentifier

    public void removeSemanticTypeIdentifier(String semanticTypeIdentifier)

  Removes an <SemanticTypeIdentifier>.

  Parameters:
    `semanticTypeIdentifier` - SemanticTypeIdentifier to remove

### getRules

    public Rule[] getRules()

  Rules are used to group rendering instructions by feature-property conditions and map scales. Rule definitions are placed immediately inside of feature-style definitions.

  Returns:
    the rules of the FeatureTypeStyle as Array

### setRules

    public void setRules(Rule[] rules)

  sets the <Rules>

  Parameters:
    `rules` - the rules of the FeatureTypeStyle as Array

### addRule

    public void addRule(Rule rule)

  adds the <Rules>

  Parameters:
    `rule` - a rule

### removeRule

    public void removeRule(Rule rule)

  removes a rule

  Parameters:
    `rule` - a rule

### exportAsXML

    public String exportAsXML()

  exports the content of the FeatureTypeStyle as XML formated String

  Specified by:
    `exportAsXML` in interface `Marshallable`
  Returns:
    xml representation of the FeatureTypeStyle

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org